Subject: Re: libtool & intra-library linking
To: Nick Hudson <>
From: Todd Vierling <>
List: tech-pkg
Date: 09/20/2000 13:55:56
On Wed, 20 Sep 2000, Nick Hudson wrote:

: Unfortunately 1.3c doesn't support NetBSD properly or doesn't for all
: platforms.

: It does work on NetBSD/i386 ELF as I've beed working with the
: libtool guys to get it to work. The last patch went in last weekend.  

Then something needs to be fixed for a.out.  The NetBSD a.out format
supports both interlibrary dependencies and rpaths....

: iii) Commit a new libtool (I have a pkg already for the cvs version of
: libtool) and use this.

I'd vote for this option, as we have many packages in the tree that
"override" libtool in order to fix a problem like this.

-- Todd Vierling <>  *
-- Speed, stability, security, and support.  Wasabi NetBSD:  Run with it.